-- First remove the current combat bonus from Omniscient to fix text issues
UPDATE Modifiers SET OwnerRequirementSetId = 'HIGH_DIFFICULTY_AI_NOT_OMNI' WHERE ModifierId = 'HIGH_DIFFICULTY_COMBAT_SCALING';

-- Immortal+ gives +1 combat at atomic
-- Demigod+ also gives +1 combat at industrial
-- Deity+ also gives +1 combat at Medieval
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
("TRAIT_LEADER_MAJOR_CIV", "IMMORTAL_ERA_1"),
("TRAIT_LEADER_MAJOR_CIV", "DEMIGOD_ERA_1"),
("TRAIT_LEADER_MAJOR_CIV", "DEMIGOD_ERA_2"),
("TRAIT_LEADER_MAJOR_CIV", "DEITY_ERA_1"),
("TRAIT_LEADER_MAJOR_CIV", "DEITY_ERA_2"),
("TRAIT_LEADER_MAJOR_CIV", "DEITY_ERA_3"),
("TRAIT_LEADER_MAJOR_CIV", "OMNISCIENT_COMBAT");

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('IMMORTAL_ERA_1', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY', 'ATOMIC_AND_IMMORTAL_ONLY'),
('DEMIGOD_ERA_1', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY', 'INDUSTRIAL_MODERN_AND_DEMIGOD_ONLY'),
('DEMIGOD_ERA_2', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY', 'ATOMIC_AND_DEMIGOD_ONLY'),
('DEITY_ERA_1', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY', 'MEDIEVAL_RENAISSANCE_AND_DEITY'),
('DEITY_ERA_2', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY', 'INDUSTRIAL_MODERN_AND_DEITY'),
('DEITY_ERA_3', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY', 'ATOMIC_AND_DEITY'),
('OMNISCIENT_COMBAT', 'MODIFIER_PLAYER_UNITS_ADJUST_COMBAT_DIFFICULTY', 'OMNISCIENT_DIFFICULTY');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('IMMORTAL_ERA_1', 'Amount', 'LinearScaleFromDefaultHandicap', '1', '0'),
('DEMIGOD_ERA_1', 'Amount', 'LinearScaleFromDefaultHandicap', '1', '0'),
('DEMIGOD_ERA_2', 'Amount', 'LinearScaleFromDefaultHandicap', '2', '0'),
('DEITY_ERA_1', 'Amount', 'LinearScaleFromDefaultHandicap', '1', '0'),
('DEITY_ERA_2', 'Amount', 'LinearScaleFromDefaultHandicap', '2', '0'),
('DEITY_ERA_3', 'Amount', 'LinearScaleFromDefaultHandicap', '3', '0'),
('OMNISCIENT_COMBAT', 'Amount', 'LinearScaleFromDefaultHandicap', '7', '0');

-- strings for new combat
INSERT INTO ModifierStrings (ModifierId, Context, Text) VALUES
('IMMORTAL_ERA_1', 'Preview', 'LOC_IMMORTAL_ERA_1'),
('DEMIGOD_ERA_1', 'Preview', 'LOC_DEMIGOD_ERA_1'),
('DEMIGOD_ERA_2', 'Preview', 'LOC_DEMIGOD_ERA_2'),
('DEITY_ERA_1', 'Preview', 'LOC_DEITY_ERA_1'),
('DEITY_ERA_2', 'Preview', 'LOC_DEITY_ERA_2'),
('DEITY_ERA_3', 'Preview', 'LOC_DEITY_ERA_3'),
('OMNISCIENT_COMBAT', 'Preview', 'LOC_COMBAT_DIFFICULTY_SCALING');

-- New Requirements
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
('HIGH_DIFFICULTY_AI_NOT_OMNI', 'REQUIREMENTSET_TEST_ALL'),
('ATOMIC_AND_IMMORTAL_ONLY', 'REQUIREMENTSET_TEST_ALL'),

('INDUSTRIAL_MODERN_AND_DEMIGOD_ONLY', 'REQUIREMENTSET_TEST_ALL'),
('ATOMIC_AND_DEMIGOD_ONLY', 'REQUIREMENTSET_TEST_ALL'),

('MEDIEVAL_RENAISSANCE_AND_DEITY', 'REQUIREMENTSET_TEST_ALL'),
('INDUSTRIAL_MODERN_AND_DEITY', 'REQUIREMENTSET_TEST_ALL'),
('ATOMIC_AND_DEITY', 'REQUIREMENTSET_TEST_ALL');
	
INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId) VALUES
('HIGH_DIFFICULTY_AI_NOT_OMNI', 'REQUIRES_PLAYER_IS_AI'),
('HIGH_DIFFICULTY_AI_NOT_OMNI', 'REQUIRES_HIGH_DIFFICULTY'),
('HIGH_DIFFICULTY_AI_NOT_OMNI', 'REQUIRES_NOT_OMNISCIENT'),
('ATOMIC_AND_IMMORTAL_ONLY', 'REQUIRES_PLAYER_IS_AI'),
('ATOMIC_AND_IMMORTAL_ONLY', 'PLAYER_AT_ATOMIC_ERA'),
('ATOMIC_AND_IMMORTAL_ONLY', 'REQUIRES_IMMORTAL'),
('ATOMIC_AND_IMMORTAL_ONLY', 'REQUIRES_NOT_DEMIGOD'),

('INDUSTRIAL_MODERN_AND_DEMIGOD_ONLY', 'REQUIRES_PLAYER_IS_AI'),
('INDUSTRIAL_MODERN_AND_DEMIGOD_ONLY', 'PLAYER_AT_INDUSTRIAL_ERA'),
('INDUSTRIAL_MODERN_AND_DEMIGOD_ONLY', 'NOT_AT_ATOMIC_ERA'),
('INDUSTRIAL_MODERN_AND_DEMIGOD_ONLY', 'REQUIRES_DEMIGOD'),
('INDUSTRIAL_MODERN_AND_DEMIGOD_ONLY', 'REQUIRES_NOT_DEITY'),
('ATOMIC_AND_DEMIGOD_ONLY', 'REQUIRES_PLAYER_IS_AI'),
('ATOMIC_AND_DEMIGOD_ONLY', 'PLAYER_AT_ATOMIC_ERA'),
('ATOMIC_AND_DEMIGOD_ONLY', 'REQUIRES_DEMIGOD'),
('ATOMIC_AND_DEMIGOD_ONLY', 'REQUIRES_NOT_DEITY'),

('MEDIEVAL_RENAISSANCE_AND_DEITY', 'REQUIRES_PLAYER_IS_AI'),
('MEDIEVAL_RENAISSANCE_AND_DEITY', 'PLAYER_AT_MEDIEVAL_ERA'),
('MEDIEVAL_RENAISSANCE_AND_DEITY', 'NOT_AT_INDUSTRIAL_ERA'),
('MEDIEVAL_RENAISSANCE_AND_DEITY', 'REQUIRES_DEITY'),
('INDUSTRIAL_MODERN_AND_DEITY', 'REQUIRES_PLAYER_IS_AI'),
('INDUSTRIAL_MODERN_AND_DEITY', 'PLAYER_AT_INDUSTRIAL_ERA'),
('INDUSTRIAL_MODERN_AND_DEITY', 'NOT_AT_ATOMIC_ERA'),
('INDUSTRIAL_MODERN_AND_DEITY', 'REQUIRES_DEITY'),
('ATOMIC_AND_DEITY', 'REQUIRES_PLAYER_IS_AI'),
('ATOMIC_AND_DEITY', 'PLAYER_AT_ATOMIC_ERA'),
('ATOMIC_AND_DEITY', 'REQUIRES_DEITY');

-- BARB MOD ------------------------
-- add to players
INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
("TRAIT_LEADER_MAJOR_CIV", "KING_BARB_MOD"),
("TRAIT_LEADER_MAJOR_CIV", "EMPEROR_BARB_MOD"),
("TRAIT_LEADER_MAJOR_CIV", "IMMORTAL_BARB_MOD"),
("TRAIT_LEADER_MAJOR_CIV", "DEMIGOD_BARB_MOD"),
("TRAIT_LEADER_MAJOR_CIV", "DEITY_BARB_MOD"),
("TRAIT_LEADER_MAJOR_CIV", "OMNISCIENT_BARB_MOD");

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('KING_BARB_MOD', 'MODIFIER_PLAYER_UNITS_ADJUST_BARBARIAN_COMBAT', 'KING_DIFFICULTY'),
('EMPEROR_BARB_MOD', 'MODIFIER_PLAYER_UNITS_ADJUST_BARBARIAN_COMBAT', 'EMPEROR_DIFFICULTY'),
('IMMORTAL_BARB_MOD', 'MODIFIER_PLAYER_UNITS_ADJUST_BARBARIAN_COMBAT', 'IMMORTAL_DIFFICULTY'),
('DEMIGOD_BARB_MOD', 'MODIFIER_PLAYER_UNITS_ADJUST_BARBARIAN_COMBAT', 'DEMIGOD_DIFFICULTY'),
('DEITY_BARB_MOD', 'MODIFIER_PLAYER_UNITS_ADJUST_BARBARIAN_COMBAT', 'DEITY_DIFFICULTY'),
('OMNISCIENT_BARB_MOD', 'MODIFIER_PLAYER_UNITS_ADJUST_BARBARIAN_COMBAT', 'OMNISCIENT_DIFFICULTY');
	
-- each difficulty past prince adds +1 combat vs barbs. this stacks with their difficulty bonus
INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
('KING_BARB_MOD', 'Amount', '1'),
('EMPEROR_BARB_MOD', 'Amount', '1'),
('IMMORTAL_BARB_MOD', 'Amount', '1'),
('DEMIGOD_BARB_MOD', 'Amount', '1'),
('DEITY_BARB_MOD', 'Amount', '1'),
('OMNISCIENT_BARB_MOD', 'Amount', '1');
	
-- REQUIREMENTS -----------------------
INSERT INTO RequirementSets (RequirementSetId, RequirementSetType) VALUES
('KING_DIFFICULTY', 'REQUIREMENTSET_TEST_ALL'),
('EMPEROR_DIFFICULTY', 'REQUIREMENTSET_TEST_ALL'),
('IMMORTAL_DIFFICULTY', 'REQUIREMENTSET_TEST_ALL'),
('DEMIGOD_DIFFICULTY', 'REQUIREMENTSET_TEST_ALL'),
('DEITY_DIFFICULTY', 'REQUIREMENTSET_TEST_ALL'),
('OMNISCIENT_DIFFICULTY', 'REQUIREMENTSET_TEST_ALL');
	
INSERT INTO RequirementSetRequirements (RequirementSetId, RequirementId) VALUES
('KING_DIFFICULTY', 'REQUIRES_KING'),
('KING_DIFFICULTY', 'REQUIRES_PLAYER_IS_AI'),
('EMPEROR_DIFFICULTY', 'REQUIRES_EMPEROR'),
('EMPEROR_DIFFICULTY', 'REQUIRES_PLAYER_IS_AI'),
('IMMORTAL_DIFFICULTY', 'REQUIRES_IMMORTAL'),
('IMMORTAL_DIFFICULTY', 'REQUIRES_PLAYER_IS_AI'),
('DEMIGOD_DIFFICULTY', 'REQUIRES_DEMIGOD'),
('DEMIGOD_DIFFICULTY', 'REQUIRES_PLAYER_IS_AI'),
('DEITY_DIFFICULTY', 'REQUIRES_DEITY'),
('DEITY_DIFFICULTY', 'REQUIRES_PLAYER_IS_AI'),
('OMNISCIENT_DIFFICULTY', 'REQUIRES_OMNISCIENT'),
('OMNISCIENT_DIFFICULTY', 'REQUIRES_PLAYER_IS_AI');