
INSERT INTO Requirements (RequirementId, RequirementType, Inverse) VALUES
-- Difficulty levels
('REQUIRES_KING', 'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE', 0),
('REQUIRES_EMPEROR', 'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE', 0),
('REQUIRES_IMMORTAL', 'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE', 0),
('REQUIRES_DEMIGOD', 'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE', 0),
('REQUIRES_NOT_DEMIGOD', 'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE', 1),
('REQUIRES_DEITY', 'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE', 0),
('REQUIRES_NOT_DEITY', 'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE', 1),
('REQUIRES_OMNISCIENT', 'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE', 0),
('REQUIRES_NOT_OMNISCIENT', 'REQUIREMENT_PLAYER_HANDICAP_AT_OR_ABOVE', 1),

-- Eras
('PLAYER_AT_CLASSICAL_ERA', 'REQUIREMENT_PLAYER_ERA_AT_LEAST', 0),
('PLAYER_AT_MEDIEVAL_ERA', 'REQUIREMENT_PLAYER_ERA_AT_LEAST', 0),
('PLAYER_AT_RENAISSANCE_ERA', 'REQUIREMENT_PLAYER_ERA_AT_LEAST', 0),
('PLAYER_AT_INDUSTRIAL_ERA', 'REQUIREMENT_PLAYER_ERA_AT_LEAST', 0),
('NOT_AT_INDUSTRIAL_ERA', 'REQUIREMENT_PLAYER_ERA_AT_LEAST', 1),
('PLAYER_AT_MODERN_ERA', 'REQUIREMENT_PLAYER_ERA_AT_LEAST', 0),
('PLAYER_AT_ATOMIC_ERA', 'REQUIREMENT_PLAYER_ERA_AT_LEAST', 0),
('NOT_AT_ATOMIC_ERA', 'REQUIREMENT_PLAYER_ERA_AT_LEAST', 1),
('PLAYER_AT_INFO_ERA', 'REQUIREMENT_PLAYER_ERA_AT_LEAST', 0);

INSERT INTO RequirementArguments (RequirementId, Name, Value) VALUES
-- Difficulty levels
('REQUIRES_KING', 'Handicap', 'DIFFICULTY_KING'),
('REQUIRES_EMPEROR', 'Handicap', 'DIFFICULTY_EMPEROR'),
('REQUIRES_IMMORTAL', 'Handicap', 'DIFFICULTY_IMMORTAL'),
('REQUIRES_DEMIGOD', 'Handicap', 'DIFFICULTY_DEMIGOD'),
('REQUIRES_NOT_DEMIGOD', 'Handicap', 'DIFFICULTY_DEMIGOD'),
('REQUIRES_DEITY', 'Handicap', 'DIFFICULTY_DEITY'),
('REQUIRES_NOT_DEITY', 'Handicap', 'DIFFICULTY_DEITY'),
('REQUIRES_OMNISCIENT', 'Handicap', 'DIFFICULTY_OMNISCIENT'),
('REQUIRES_NOT_OMNISCIENT', 'Handicap', 'DIFFICULTY_OMNISCIENT'),

-- Eras
('PLAYER_AT_CLASSICAL_ERA', 'EraType', 'ERA_CLASSICAL'),
('PLAYER_AT_MEDIEVAL_ERA', 'EraType', 'ERA_MEDIEVAL'),
('PLAYER_AT_RENAISSANCE_ERA', 'EraType', 'ERA_RENAISSANCE'),
('PLAYER_AT_INDUSTRIAL_ERA', 'EraType', 'ERA_INDUSTRIAL'),
('NOT_AT_INDUSTRIAL_ERA', 'EraType', 'ERA_INDUSTRIAL'),
('PLAYER_AT_MODERN_ERA', 'EraType', 'ERA_MODERN'),
('PLAYER_AT_ATOMIC_ERA', 'EraType', 'ERA_ATOMIC'),
('NOT_AT_ATOMIC_ERA', 'EraType', 'ERA_ATOMIC'),
('PLAYER_AT_INFO_ERA', 'EraType', 'ERA_INFORMATION');